MONGOC_READ_CONCERN_APPEND(3)

NAME
mongoc_read_concern_append - mongoc_read_concern_append()

SYNOPSIS

        bool
        mongoc_read_concern_append (mongoc_read_concern_t *read_concern, bson_t *opts);

PARAMETERS

    •   read_concern: A pointer to a mongoc_read_concern_t.

    •   command: A pointer to a bson_t.

DESCRIPTION

This function appends a read concern to command options. It is useful for appending a read concern to command options before passing them to mongoc_client_read_command_with_opts or a related function that takes an options document.

RETURNS

Returns true on success. If any arguments are invalid, returns false and logs an error.

EXAMPLE

See the example code for mongoc_client_read_command_with_opts.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc